> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post paymentscommandssetgateway



## OpenAPI

````yaml /api-reference/oda-payment-service-1.0.0.yml post /payments/commands/setgateway
openapi: 3.0.1
info:
  title: oda-payment-service
  version: 1.0.0
servers: []
security: []
paths:
  /payments/commands/setgateway:
    post:
      operationId: setGateway
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetGateway.SetGatewayCommand'
        required: true
      responses:
        '200':
          description: setGateway 200 response
components:
  schemas:
    SetGateway.SetGatewayCommand:
      required:
        - enabled
        - gateway
        - gatewayId
        - id
        - secret
        - settings
        - token
        - type
      type: object
      properties:
        id:
          type: string
        gatewayId:
          type: string
        token:
          type: string
        gateway:
          type: string
        secret:
          type: string
        type:
          type: string
        settings:
          type: object
          additionalProperties:
            type: string
        enabled:
          type: boolean

````